%define anolis_release 1
%global pypi_name rotary-embedding-torch
%global pypi_version 0.5.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Rotary Embedding - Pytorch

License:        MIT
URL:            https://github.com/lucidrains/rotary-embedding-torch
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A standalone library for adding rotary embeddings to transformers in Pytorch, 
following its success as relative positional encoding. Specifically it will make 
rotating information into any axis of a tensor easy and efficient, whether they 
be fixed positional or learned. This library will give you state of the art 
results for positional embedding, at little costs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(beartype)
Requires:       python3dist(einops) >= 0.7
Requires:       python3dist(torch) >= 2
%description -n python3-%{pypi_name}
A standalone library for adding rotary embeddings to transformers in Pytorch, 
following its success as relative positional encoding. Specifically it will make 
rotating information into any axis of a tensor easy and efficient, whether they 
be fixed positional or learned. This library will give you state of the art 
results for positional embedding, at little costs.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/rotary_embedding_torch
%{python3_sitelib}/rotary_embedding_torch-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.5.3-1
- Initial package.